org.eclipse.jetty.util.security

## Class Credential.Crypt

- java.lang.Object
- - org.eclipse.jetty.util.security.Credential
  - - org.eclipse.jetty.util.security.Credential.Crypt

All Implemented Interfaces:
  Serializable

Enclosing class:
  Credential

    public static class Credential.Crypt
    extends Credential

Unix Crypt Credentials

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.util.security.Credential

`Credential.Crypt, Credential.MD5`

### Field Summary

Fields
`static String` `__TYPE`

### Method Summary

Methods
`boolean` `check(Object credentials)` Check a credential
`static String` `crypt(String user, String pw)`

### Methods inherited from class org.eclipse.jetty.util.security.Credential

`getCredential`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### __TYPE

    public static final String __TYPE

See Also:
  Constant Field Values

### Method Detail

#### check

    public boolean check(Object credentials)

Description copied from class: `Credential`
Check a credential

Specified by:
  `check` in class `Credential`
Parameters:
  `credentials` - The credential to check against. This may either be another Credential object, a Password object or a String which is interpreted by this credential.
Returns:
  True if the credentials indicated that the shared secret is known to both this Credential and the passed credential.

#### crypt

    public static String crypt(String user,
               String pw)